SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


CREATE TABLE IF NOT EXISTS `asset` (
  `bar_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `model` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `brand` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `owner` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `form` varchar(50) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `createdby` varchar(70) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `funding` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `cost` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `custom1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `custom2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `phyloc` int DEFAULT NULL,
  `strack` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`serial`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb3;

CREATE TABLE IF NOT EXISTS `asset_retired` (
  `bar_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `model` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `brand` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `owner` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `form` varchar(50) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `createdby` varchar(70) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `funding` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `cost` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `custom1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `custom2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `phyloc` int DEFAULT NULL,
  `strack` tinyint(1) DEFAULT NULL,
  UNIQUE KEY `serial` (`serial`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb3;

CREATE TABLE IF NOT EXISTS `building` (
  `name` varchar(25) NOT NULL,
  `number` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`number`),
  KEY `number` (`number`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `dates` (
  `number` int NOT NULL AUTO_INCREMENT,
  `sdate` date NOT NULL,
  `edate` date NOT NULL,
  PRIMARY KEY (`number`),
  UNIQUE KEY `number` (`number`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `disposed` (
  `bar_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `model` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `brand` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `owner` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `form` varchar(50) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) DEFAULT NULL,
  `produkey` varchar(29) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `createdby` varchar(70) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `funding` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `cost` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `ddate` date NOT NULL,
  `custom1` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `custom2` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `dreason` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `phyloc` int DEFAULT NULL,
  UNIQUE KEY `serial` (`serial`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb3;

CREATE TABLE IF NOT EXISTS `images` (
  `index` int NOT NULL AUTO_INCREMENT,
  `serial` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `imagename` varchar(60) NOT NULL,
  PRIMARY KEY (`index`)
) ENGINE=MyISAM AUTO_INCREMENT=342 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `members` (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(70) NOT NULL,
  `password` varchar(255) NOT NULL,
  `ro` int NOT NULL,
  `createdby` varchar(25) NOT NULL,
  `salt` varchar(255) NOT NULL,
  `sadmin` tinyint NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=latin1;

INSERT INTO `members` (`id`, `username`, `password`, `ro`, `createdby`, `salt`, `sadmin`) VALUES
(1, 'admin', '$2y$11$.yEVi/w1eOEgQSvj92OjVuPmYO76dvvjEhwvBTSLYjlXZOdK4XmZW', 0, '', 'xFxDe53j3HKgC1CizkgLp/0pRLLas4qaiVtLDVMGCZ4=', 1);

CREATE TABLE IF NOT EXISTS `member_history` (
  `member` varchar(50) NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `action` varchar(11) NOT NULL,
  `index` int NOT NULL AUTO_INCREMENT,
  `ipadd` varchar(45) NOT NULL,
  `ipfor` varchar(45) NOT NULL,
  `valid` varchar(3) NOT NULL,
  PRIMARY KEY (`index`),
  KEY `index` (`index`)
) ENGINE=InnoDB AUTO_INCREMENT=4073 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `member_prefs` (
  `uid` int NOT NULL AUTO_INCREMENT,
  `id` int NOT NULL,
  `rpp` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '250',
  `bar_code` tinyint(1) NOT NULL DEFAULT '1',
  `name` tinyint(1) NOT NULL DEFAULT '1',
  `serial` tinyint(1) NOT NULL DEFAULT '1',
  `age` tinyint(1) NOT NULL DEFAULT '1',
  `model` tinyint(1) NOT NULL DEFAULT '1',
  `brand` tinyint(1) NOT NULL DEFAULT '1',
  `owner` tinyint(1) NOT NULL DEFAULT '1',
  `form` tinyint(1) NOT NULL DEFAULT '1',
  `use1` tinyint(1) NOT NULL DEFAULT '1',
  `co_location` tinyint(1) NOT NULL DEFAULT '1',
  `pdate` tinyint(1) NOT NULL DEFAULT '1',
  `images` tinyint(1) NOT NULL DEFAULT '1',
  `os` tinyint(1) NOT NULL DEFAULT '1',
  `co_status` tinyint(1) NOT NULL DEFAULT '1',
  `produkey` tinyint(1) NOT NULL DEFAULT '0',
  `notes` tinyint(1) NOT NULL DEFAULT '0',
  `createdby` tinyint(1) NOT NULL DEFAULT '1',
  `creation_date` tinyint(1) NOT NULL DEFAULT '1',
  `updatetime` tinyint(1) NOT NULL DEFAULT '1',
  `updateby` tinyint(1) NOT NULL DEFAULT '1',
  `vendor` tinyint(1) NOT NULL DEFAULT '1',
  `funding` tinyint(1) NOT NULL DEFAULT '1',
  `cost` tinyint(1) NOT NULL DEFAULT '1',
  `co_building` tinyint(1) NOT NULL DEFAULT '1',
  `custom1` tinyint(1) NOT NULL DEFAULT '0',
  `custom2` tinyint(1) NOT NULL DEFAULT '0',
  `menup` tinyint(1) NOT NULL DEFAULT '0',
  `co_user` tinyint(1) NOT NULL DEFAULT '1',
  `defaultbuilding` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `phyloc` tinyint(1) NOT NULL DEFAULT '0',
  `tsize` tinyint(1) NOT NULL DEFAULT '80',
  `raa` tinyint(1) NOT NULL DEFAULT '8',
  `rta` tinyint(1) NOT NULL DEFAULT '8',
  `rua` tinyint(1) NOT NULL DEFAULT '8',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `uid` (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=45 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

INSERT INTO `member_prefs` (`uid`, `id`, `rpp`, `bar_code`, `name`, `serial`, `age`, `model`, `brand`, `owner`, `form`, `use1`, `co_location`, `pdate`, `images`, `os`, `co_status`, `produkey`, `notes`, `createdby`, `creation_date`, `updatetime`, `updateby`, `vendor`, `funding`, `cost`, `co_building`, `custom1`, `custom2`, `menup`, `co_user`, `defaultbuilding`, `phyloc`, `tsize`, `raa`, `rta`, `rua`) VALUES
(41, 1, '250', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, '', 0, 80, 8, 8, 8);

CREATE TABLE IF NOT EXISTS `multisearch` (
  `f_name` varchar(25) NOT NULL,
  `msn` int NOT NULL,
  `t1` varchar(25) NOT NULL,
  `t2` varchar(25) NOT NULL,
  `t3` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `t4` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `t5` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `s1` varchar(25) NOT NULL,
  `s2` varchar(25) NOT NULL,
  `s3` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `s4` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `s5` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `con1` varchar(5) NOT NULL,
  `con2` varchar(5) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `con3` varchar(5) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  UNIQUE KEY `f_name` (`f_name`),
  UNIQUE KEY `f_name_2` (`f_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `room` (
  `id` int NOT NULL AUTO_INCREMENT,
  `roomnumber` varchar(30) NOT NULL,
  `building` varchar(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `roombuilding` (`roomnumber`,`building`)
) ENGINE=MyISAM AUTO_INCREMENT=525 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `searches` (
  `f_name` varchar(25) NOT NULL,
  `name` varchar(25) NOT NULL,
  `type` varchar(25) NOT NULL,
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `f_name` (`f_name`),
  UNIQUE KEY `f_name_2` (`f_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `searches` (`f_name`, `name`, `type`) VALUES
('Not Checked Out', '"0"', 'co_status'),
('Checked Out', '1', 'co_status');

CREATE TABLE IF NOT EXISTS `settings` (
  `dbversion` varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `updatecheck` tinyint(1) NOT NULL DEFAULT '1',
  `stracking` tinyint NOT NULL,
  `visualenable` tinyint(1) NOT NULL DEFAULT '0',
  `configver` tinyint NOT NULL DEFAULT '2',
  UNIQUE KEY `dbversion` (`dbversion`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

INSERT INTO `settings` (`dbversion`) VALUES ('R21');

CREATE TABLE IF NOT EXISTS `stracking` (
  `serial` varchar(30) NOT NULL,
  `gan` varchar(200) NOT NULL,
  `sgn` varchar(200) NOT NULL,
  `gayear` int NOT NULL,
  `titleholder` varchar(50) NOT NULL,
  `fedpar` int NOT NULL,
  UNIQUE KEY `serial` (`serial`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `tracker` (
  `name` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `serial` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `user` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `codate` date NOT NULL,
  `cidate` date DEFAULT NULL,
  `creation_date` varchar(19) NOT NULL,
  `location` varchar(25) NOT NULL,
  `co_complete` tinyint(1) NOT NULL,
  `building` int NOT NULL,
  `cond_out` varchar(255) NOT NULL,
  `cond_in` varchar(255) NOT NULL,
  `uuid` int NOT NULL,
  `corrected` tinyint(1) NOT NULL,
  `number` int NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`number`),
  UNIQUE KEY `number` (`number`),
  KEY `serial` (`serial`)
) ENGINE=MyISAM AUTO_INCREMENT=19439 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `users` (
  `uname` varchar(100) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL,
  `uroom` varchar(25) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `uid` varchar(15) CHARACTER SET latin1 COLLATE latin1_swedish_ci DEFAULT NULL,
  `uuid` int NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`uuid`),
  UNIQUE KEY `uname` (`uname`)
) ENGINE=MyISAM AUTO_INCREMENT=4794 DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `visual` (
  `name` varchar(15) NOT NULL,
  `hcolor1` varchar(7) NOT NULL,
  `hcolor2` varchar(7) NOT NULL,
  `bcolor` varchar(7) NOT NULL,
  `bcolor2` varchar(7) NOT NULL,
  `bborder` varchar(7) NOT NULL,
  `abcolor` varchar(7) NOT NULL,
  `abcolor2` varchar(7) NOT NULL,
  `abborder` varchar(7) NOT NULL,
  `alogo` varchar(7) NOT NULL DEFAULT '#000000',
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `visual` (`name`, `hcolor1`, `hcolor2`, `bcolor`, `bcolor2`, `bborder`, `abcolor`, `abcolor2`, `abborder`) VALUES
('C1', '#78B2FF', '#574CEF', '#261C1C', '#706659', '#D50000', '#FF0000', '#EFBB54', '#D5894B');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
